﻿using System;
using System.Collections.Generic;
using UnityEngine;

namespace Mod
{
	public class Mod : MonoBehaviour
	{

		public static void Main()
		{

			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Tank"),
					NameOverride = "Tiger I",
					NameToOrderByOverride = "The Tiger I",
					DescriptionOverride = "The Tiger I is arguably the most famous tank of the Second World War. The impenetrable armour, powerful gun and huge size of the Tiger made it a legend in its time.",
					CategoryOverride = ModAPI.FindCategory("Vehicles"),
					ThumbnailOverride = ModAPI.LoadSprite("Tiger/Thumb.png"),
					AfterSpawn = (Instance) =>
					{
						Destroy(Instance.GetComponentInChildren<RandomCarTextureBehaviour>());
						Instance.transform.Find("Body").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Tiger/Body.png");
						Instance.transform.Find("Barrel").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Tiger/Barrel.png");
						Instance.transform.Find("Wheel").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Tiger/Wheel1.png");
						Instance.transform.Find("Wheel (1)").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Tiger/Wheel0.png");
						Instance.transform.Find("Wheel (2)").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Tiger/Wheel0.png");
						Instance.transform.Find("Wheel (3)").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Tiger/Wheel0.png");
						Instance.transform.Find("Wheel (4)").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Tiger/Wheel0.png");
						Instance.transform.Find("Wheel (5)").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Tiger/Wheel0.png");
						Instance.transform.Find("Wheel (6)").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Tiger/Wheel0.png");
						Instance.transform.Find("Wheel (7)").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Tiger/Wheel0.png");
						Instance.transform.Find("Wheel (8)").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Tiger/Wheel1.png");
						



						
					}
				}
			);
		}
	}
}

